/***********************************************************************
* ------------------------------------------
* Bustedware LLC - 2015
* https://www.bustedware.com
* ------------------------------------------
* 
* This file is free to distribute
* Please see LICENSE_1_0.txt included with this release.
* 
//*********************************************************************/

#ifndef BWSTRINGS_H
#define BWSTRINGS_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sstream>
#include <vector>
using namespace std;

#ifdef _WIN32
#include <Windows.h>
#endif

class BWStrings {
public:
	BWStrings();
	~BWStrings();

	//http://stackoverflow.com/a/236803/3642044
	static vector<string> &split(const string &s, char delim, vector<string> &elems);
	static vector<string> split(const string &s, char delim);
	
	//http://stackoverflow.com/a/29752943/3642044
	static void replaceAll( string& source, const string& from, const string& to );
	
	static char* intToChar(int number);
	
	#ifdef _WIN32
	static int widelen(const wchar_t* theWideArray);
	static wchar_t* ConvertCharToWide(const char* charArray);
	static char* ConvertWideToChar(const wchar_t* wideArray);
	#endif
private:
};

#endif
